%global debug_package      %{nil}
%global _internal_version  fb4118d

Name:           mintlocale
Version:        1.1.6
Release:        0.4.git%{_internal_version}%{?dist}
Summary:        Language selection tool
License:        GPLv2+
URL:            http://cinnamon.linuxmint.com
# wget https://github.com/linuxmint/mintlocale/tarball/%%{_internal_version} -O mintlocale-%%{version}.git%%{_internal_version}.tar.gz
Source0:        http://leigh123linux.fedorapeople.org/pub/%{name}/source/%{name}-%{version}.git%{_internal_version}.tar.gz
#Source0:        http://leigh123linux.fedorapeople.org/pub/mintlocale/source/%{name}-%{version}.tar.gz
Source1:        org.mintlocale.policy
BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       python2
Requires:       accountsservice

Patch0:         ui_and_auth_fix.patch

%description
Language selection tool for Cinnamon

%prep
%setup -q -n linuxmint-%{name}-%{_internal_version}
%patch0 -p1
sed -i -e 's@#!/usr/bin/python@#!/usr/bin/python2@g'  usr/bin/mintlocale
sed -i -e 's@#!/usr/bin/env python@#!/usr/bin/env python2@g' usr/bin/set-default-locale \
 usr/lib/linuxmint/mintLocale/{add,install_remove,mintLocale}.py
sed -i -e 's@/usr/share/linuxmint/locale@/usr/share/locale@g' usr/lib/linuxmint/mintLocale/add.py \
 usr/lib/linuxmint/mintLocale/mintLocale.py

%build
echo 'nothing to build'


%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT/%{_prefix}/
cp -Rp usr $RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_bindir}/add-remove-locales

# install policy file
install -m 0755 -d $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions/
install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions/

desktop-file-install                                      \
  --add-only-show-in=X-Cinnamon                         \
  --delete-original                                     \
  --dir $RPM_BUILD_ROOT/%{_datadir}/applications         \
  $RPM_BUILD_ROOT/%{_datadir}/applications/mintLocale.desktop


%files
%doc debian/copyright
%{_bindir}/mintlocale
%{_bindir}/set-default-locale
%{_libdir}/linuxmint/
%{_datadir}/applications/mintLocale.desktop
%{_datadir}/polkit-1/actions/org.mintlocale.policy

%changelog
* Sat Nov 08 2014 Leigh Scott <leigh123linux@googlemail.com> - 1.1.6-0.4.gitfb4118d
- fix locale path

* Fri Jun 27 2014 Leigh Scott <leigh123linux@googlemail.com> - 1.1.6-0.3.gitfb4118d
- only show in cinnamon menu

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-0.2.gitfb4118d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Leigh Scott <leigh123linux@googlemail.com> - 1.1.6-0.1.gitfb4118d
- update to the latest git snapshot

* Sat May 10 2014 Leigh Scott <leigh123linux@googlemail.com> - 1.1-4
- fix system wide settings

* Sat May 03 2014 Leigh Scott <leigh123linux@googlemail.com> - 1.1-3
- more fixes

* Sat May 03 2014 Leigh Scott <leigh123linux@googlemail.com> - 1.1-2
- fix ui so it looks better
- add pkexec support for setting system
  locale (needs group adm,sudo,wheel to show)

* Mon Apr 14 2014 Leigh Scott <leigh123linux@googlemail.com> - 1.1-1
- Inital build
